from django.conf.urls.defaults import *

from jamalfanaian.settings import base

# Generic
urlpatterns = patterns('',
    url(r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': base + "/static"}),
    url(r'^$', 'jamalfanaian.views.index', name='home'),
)

urlpatterns += patterns('django.views.generic.simple',
    url(r'^about$', 'direct_to_template', {'template': 'about.html'}, name='about'),
    url(r'^blog$', 'redirect_to', {'url': 'http://blog.jamalfanaian.com/'}, name='blog'),
    url(r'^projects$', 'direct_to_template', {'template': 'projects.html'}, name='projects'),
    url(r'^resume$', 'direct_to_template', {'template': 'resume.html'}, name='resume'),
)
