import datetime
import feedparser

from django.shortcuts import render_to_response

def index(request):
    blog = feedparser.parse('http://blog.jamalfanaian.com/rss.xml')
    for entry in blog.entries:
        entry.date = datetime.datetime(*(entry.updated_parsed[0:6]))
    return render_to_response('index.html', {
        'blog': blog.entries[:3],
    })
